/mail/send

This channel is for sending emails.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Jsfiddle Example:

POST Request Explanation:

In this POST, there are multiple parameters we are sending. Below is a table with the explanation​ for each of them:

ParameterDescription
api_keyYou can find this key inside your admin FeelBack console. It's needed to get access to your account API.
source_hashSend the campaign hash key.
peoplesSend people array with fields like Name, Email, id. Where email is our key field to send your FeelMail.
Array Fields:
user_id - Referential id for the person you are sending the email.
full_name - Name for the person you are sending the email.
email - Email for the person you are sending the email.
scheduleSend schedule parameters like date time (yyyy-mm-dd h:i:s format) and time zone (America/Chicago).

Request Response:

After sending the request to FeelMail you will get some messages back. Some of the possible messages are below in this table:

VariablesValues
  • msg
  • *NO KEY ID** - When your key is empty.
  • *NO VALID TOKEN** - When the token is not valid.
  • *NO CAMPAIGN HASH FOUND** - When the campaign hash is empty.
  • *NO PEOPLES DATA** - When the people array is with out format or is empty.
  • *NO CAMPAIGN HASH FOUND** - When the campaign key is not found in our database.
  • *ERROR WHILE SENDING** - When any type of error while sending emails occurs.
  • *OK** - If everything is good.
codeThe request code. Can be 200 for success or 400 for any type of errors.
Body Params
string
required
Defaults to 1d83be6913e11c9bdc1e72b4638b0346

Your account api_key as found in api tab in campaign console.

string
required
Defaults to cd00692c3bfe59267d5ecfac5310286c

Source hash key found in api tab of campaign console.

peoples
array of objects
required

Array with one or more peoples with email and contact information. People sent thru here if they are new FeelBack will scan them and add to people console automatically.

peoples*
schedule
object
required

Array with schedule information to set email delivery.

string

Subject for email to be sent.

string

Text of body to be sent in the email.

feel_attributes
object

Add your own list of attributes for better analytics.

Responses

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json